%define ver_major 0.6
%define ver_minor 12
%def_disable static

Name: libexif
Version: %ver_major.%ver_minor
Release: alt3

Summary: libexif is a library for parsing, editing, and saving EXIF data
License: LGPL
Group: System/Libraries
Url: http://%name.sourceforge.net

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch0: libexif-0.6.12-gcc4.patch
# fixed in libexif CVS
Patch1: libexif-0.6.12-odd.patch
Patch2: libexif-0.6.12-recurse.patch

# Automatically added by buildreq on Mon Sep 27 2004
BuildRequires: gcc-c++ libstdc++-devel

%package devel
Summary: Development file for %name library
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description
libexif is a library for parsing, editing, and saving EXIF data. It is
intended to replace lots of redundant implementations in command-line
utilities and programs with GUIs.

%description devel
libexif is a library for parsing, editing, and saving EXIF data. It is
intended to replace lots of redundant implementations in command-line
utilities and programs with GUIs.

%description devel-static
libexif is a library for parsing, editing, and saving EXIF data. It is
intended to replace lots of redundant implementations in command-line
utilities and programs with GUIs.

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .odd
%patch2 -p1 -b .recurse
%__subst 's,-g \(-Wall\),\1,g' configure.in

%build
%__autoconf
%configure \
	%{subst_enable static}

%make_build

%install
%makeinstall

%find_lang --output=%name.lang %name-%ver_minor

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%doc README ChangeLog
%_libdir/*.so.*

%files devel
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Jun 16 2005 Michael Shigorin <mike@altlinux.org> 0.6.12-alt3
- rebuilt for Sisyphus, thanks Led for preparing fixed package
- *fixed* #6943 (libexif failed to handle quite some JPEGs)
-  fixed  #6681 (s/GPL/LGPL/)

* Tue May 24 2005 Yuri N. Sedunov <aris at altlinux.ru> 0.6.12-alt2
- fixed #6943

* Tue May 24 2005 Led <led@linux.kiev.ua> 0.6.12-alt1.1
- Prevent infinite recursion (#156365)
- Fix MakerNote handling (#153282)

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.6.12-alt1
- 0.6.12

* Mon Sep 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.10-alt1
- 0.6.10
- do not build devel-static subpackage by default.

* Thu Nov 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.12-alt2
- Do not package .la files.

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.12-alt1
- new version

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.9-alt1
- new version

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.6-alt1
- 0.5.6
- Rebuilt in new environment

* Mon Mar 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt1
- First build for Sisyphus
